<template>
  <nav class="navbar navbar-expand-lg navbar-light">
    <div class="container-fluid">
      <a class="navbar-brand" href="#">{{routeName}}</a>
      <button class="navbar-toggler navbar-burger"
              type="button"
              @click="toggleSidebar"
              :aria-expanded="$sidebar.showSidebar"
              aria-label="Toggle navigation">
        <span class="navbar-toggler-bar"></span>
        <span class="navbar-toggler-bar"></span>
        <span class="navbar-toggler-bar"></span>
      </button>
       <div class="collapse navbar-collapse">
        <ul class="navbar-nav ml-auto">
         
          <li class="nav-item">
            <a href="#" @click="displayModal" class="nav-link">
              <i class="ti-info-alt"></i>
              <p>
                About
              </p>
            </a>
          </li>
        </ul>
      </div>
    </div>
     <b-modal id="my-modal" size="lg" v-model="modalShow" hide-footer> 
          <template v-slot:modal-title>
        About
      </template>
      <div class="d-block text-center">
        <p>
            Web สำหรับติดตามความเคลื่อนไหวการติดเชื้อไวรัสโคโรน่าทางหนึ่ง
            ทีมพัฒนาของร่วมเป็นหนึ่งกำลังใจให้ไวรัสโคโรน่าหมดไปจากประเทศไทยโดยเร็ว
          </p>
        <p>
          <strong>ติดต่อผู้พัฒนา:</strong><h6 class="text-primary"> pro.it@windowslive.com </h6>
          </p>
      </div>
      <b-button class="mt-3" block @click="displayModal">Close</b-button>
    </b-modal>
    </nav>
    
</template>
<script>
import { BModal, VBModal } from 'bootstrap-vue'
export default {
  components:{
    'b-modal':BModal
  },
  computed: {
    routeName() {
      const { name } = this.$route;
      return this.capitalizeFirstLetter(name);
    }
  },
  data() {
    return {
      activeNotifications: false,
      modalShow:false
    };
  },
  methods: {
    displayModal(){
        this.modalShow = (!this.modalShow)
    },
    capitalizeFirstLetter(string) {
      return string.charAt(0).toUpperCase() + string.slice(1);
    },
    toggleNotificationDropDown() {
      this.activeNotifications = !this.activeNotifications;
    },
    closeDropDown() {
      this.activeNotifications = false;
    },
    toggleSidebar() {
      this.$sidebar.displaySidebar(!this.$sidebar.showSidebar);
    },
    hideSidebar() {
      this.$sidebar.displaySidebar(false);
    }
  }
};
</script>
<style>
</style>
